/*************************************************************/
/*	textdisplay class - used to display on the screen    */
/*	Name : Atul NAyak				     */	
/*************************************************************/
class textdisplay
{
	private:
		// Red,green and blue colors of the text display.
		float R;
		float G;
		float B;
		
		// Count the number of ships destroyed.
		int orbCtr;
		
		// Count the number of asteroids destroyed.
		int ottoCtr;

	public:
	
		// set the Color of display.
		void setColor(float, float, float);
		
		// print a string on the screen.
		void drawText(char *,float, float);

		// print a number on the screen.
		void drawValue(int,float,float);

		// increase orbCtr.
		void increaseOrbCtr();
		
		// increase ottoCtr.
		void increaseOttoCtr();			

		// return shipCtr.
		int getOrbCtr();

		// return asteroidCtr.
		int getOttoCtr();
};
